%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Config-IniFiles

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        module for reading .ini-style configuration files in perl
Name:           perl-%{perlname}
Version:        2.39
Release:        2
License:	GNU/GPL 
URL:            http://search.cpan.org/search?module=Config+IniFiles
Group:		Development/Perl
Source0:        %{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion} 
Requires:	zlib
BuildRequires:	perl = %{perlepoch}:%{perlversion}  
BuildRequires:	zlib-devel

%description
A module for reading .ini-style configuration files in perl

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.39-2
- Rebuild against perl 5.10.0
* Sun Jun 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.39-1
- Initial Release
